#include <stdio.h>
#include <windows.h>

int main()
{
	HMIDIOUT hMidiOut;
	unsigned char program,note,velocity;
	
	printf("MIDI test\n");
	
	// 
	midiOutOpen(&hMidiOut,MIDIMAPPER,NULL,0,CALLBACK_NULL);
	
	// F
	program=25; // AR[XeBbNM^[̉Fԍ
	midiOutShortMsg(hMidiOut, 0 | (0x0C<<4) | (program <<8) | (0<<16) );
	midiOutShortMsg(hMidiOut, 1 | (0x0C<<4) | (program <<8) | (0<<16) );
	midiOutShortMsg(hMidiOut, 2 | (0x0C<<4) | (program <<8) | (0<<16) );
	
	// K
	note=60;
	
	// x
	velocity=100;

	midiOutShortMsg(hMidiOut, 0 | (0x09<<4) | ((note+0)<<8) | (velocity<<16) );
	Sleep(200);
	midiOutShortMsg(hMidiOut, 1 | (0x09<<4) | ((note+4)<<8) | (velocity<<16) );
	Sleep(200);
	midiOutShortMsg(hMidiOut, 2 | (0x09<<4) | ((note+7)<<8) | (velocity<<16) );
	Sleep(2000);
	
	// I
	midiOutReset(hMidiOut); midiOutClose(hMidiOut);
	
	return 0;
}
